## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# PrefixResolver Class Reference

This class defines an interface for classes that resolve namespace prefixes to their URIs. More...

Inheritance diagram for PrefixResolver:

[legend]
List of all members.

## Public Member Functions

- PrefixResolver ()
- PrefixResolver (const PrefixResolver &)
- virtual ~PrefixResolver ()
- virtual const XalanDOMString * getNamespaceForPrefix (const XalanDOMString &prefix) const=0
    Retrieve a namespace corresponding to a prefix.
- virtual const XalanDOMString & getURI () const=0
    Retrieve the base URI for the resolver.

## Detailed Description

This class defines an interface for classes that resolve namespace prefixes to their URIs.

## Constructor & Destructor Documentation

PrefixResolver::PrefixResolver | ( |  | ) |

PrefixResolver::PrefixResolver | ( | const PrefixResolver & |  | ) |

virtual PrefixResolver::~PrefixResolver | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual const XalanDOMString* PrefixResolver::getNamespaceForPrefix | ( | const XalanDOMString & | prefix | ) | const`[pure virtual]`

  | Retrieve a namespace corresponding to a prefix. This assumes that the PrevixResolver holds its own namespace context, or is a namespace context itself. Parameters:
  prefix | Prefix to resolve
Returns: namespace that prefix resolves to, or null if prefix is not found Implemented in XalanDocumentPrefixResolver, XalanNamespacesStack::PrefixResolverProxy, XalanSimplePrefixResolver, ElementPrefixResolverProxy, XalanQName::PrefixResolverProxy, ElemTemplateElement, Stylesheet, and XSLTEngineImpl.

virtual const XalanDOMString& PrefixResolver::getURI | ( |  | ) | const`[pure virtual]`

| Retrieve the base URI for the resolver. Returns: URI string Implemented in XalanDocumentPrefixResolver, XalanNamespacesStack::PrefixResolverProxy, XalanSimplePrefixResolver, ElementPrefixResolverProxy, XalanQName::PrefixResolverProxy, ElemTemplateElement, Stylesheet, and XSLTEngineImpl.

The documentation for this class was generated from the following file:

- PrefixResolver.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.